declare namespace CashOutType {
	interface otherUserInfo {
		headImage: string;
		nickName: string;
		createTime: string;
		hierarchy: string;
		openid: string;
		percentage: string;
		profitPrice: number;
	}
	interface extensionIncomeListRes extends Common.Res {
		rows: otherUserInfo[];
		total: number;
	}
	interface userInfo {
		beneficiaryOpenid: string;
		extractPrice: number;
		headImage: string;
		nickName: string;
		remainderPrice: number;
		totalPrice: number;
	}
	interface extensionIncomePriceRes extends Common.Res {
		data: userInfo;
	}

	interface ExtractList extends Common.Res {
		rows: Array<{
			id: number;
			partnerTradeNo: string;
			extractPrice: number;
			status: number;
			createTime: string;
		}>;
		total: number;
	}
}
